FreeMat

- Main Page
- Related Pages

vtkQtInitialization

Section: Visualization Toolkit Rendering Classes

# Usage

Utility class that initializes Qt by creating an instance of QApplication in its ctor, if one doesn't already exist. This is mainly of use in ParaView with filters that use Qt in their implementation - create an instance of vtkQtInitialization prior to instantiating any filters that require Qt.

To create an instance of class vtkQtInitialization, simply invoke its constructor as follows

      obj = vtkQtInitialization

# Methods

The class vtkQtInitialization has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkQtInitialization class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkQtInitialization = obj.NewInstance ()`
- `vtkQtInitialization = obj.SafeDownCast (vtkObject o)`